@ECHO OFF
IF %1. == . goto INSUFFICIENT_PARAMS
IF %2. == . goto INSUFFICIENT_PARAMS

nant_bins\nant.exe VBECS.Patch.RollBack -l:out.log -buildfile:patch.build.xml -t:net-1.1 -logger:NAnt.Core.VBECS.Listener -D:VBECS.ClusterIP="[X.X.X.X]" -D:VBECS.SQLServerName="[SERVER_NAME]" -D:VBECS.InfoMsgTimeout="10" -D:VBECS.AdminName="[NAME]" -D:VBECS.AdminEMail="[E-MAIL]" -D:VBECS.AdminPhone="[PHONE]" -D:VBECS.EnvCaseInsensitive=%1 -D:VBECS.VBECSBackupFolderName=%2 -D:patch-build-file="vbecs_patch.build.xml"
goto END

:INSUFFICIENT_PARAMS
ECHO.
ECHO Missing input parameters: 
ECHO.
ECHO rol.bat [environment] [folder_name]
ECHO.
ECHO [environment]        VBECS environment to be rolled back
ECHO                        Values: (prod, test, servicemonitor)
ECHO.
ECHO [folder_name]        Parent archive folder containing the source files for rollback 
ECHO                        The folder must exist on both cluster nodes under
ECHO                        C:\Program Files\VistA\ARCHIVE\
ECHO.
ECHO         Example: rol.bat prod "VBECS_123108_1.4.0.0_to_1.5.0.0"
ECHO.
ECHO.
:END